List Projects

Pre-release

Returns a list of infrastructure hosting projects for the store. Supports cursor-based pagination and filtering.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Infrastructure Deployments | read-only | `store_infrastructure_deployments_read_only` | | Infrastructure Deployments | create preview | `store_infrastructure_deployments_create_preview` | | Infrastructure Deployments | manage | `store_infrastructure_deployments_manage` | | Infrastructure Projects | read-only | `store_infrastructure_projects_read_only` | | Infrastructure Projects | manage | `store_infrastructure_projects_manage` | | Infrastructure Logs | read-only | `store_infrastructure_logs_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Query parameters

limitintegerOptionalDefaults to 50
The number of results to return per page. Defaults to 50.
afterstringOptional
Cursor for forward pagination. Returns results after this cursor.
beforestringOptional
Cursor for backward pagination. Returns results before this cursor.
uuid:instringOptional

A comma-separated list of project UUIDs by which to filter. For example, ?uuid:in=uuid1,uuid2.

name:likestringOptional
Filter projects by name using a partial match.
date_created:mindatetimeOptional

Filter for projects created after this date. RFC 3339 format, for example 2024-01-01T00:00:00Z.

date_created:maxdatetimeOptional

Filter for projects created before this date. RFC 3339 format, for example 2024-12-31T23:59:59Z.

date_modified:mindatetimeOptional
Filter for projects modified after this date. RFC 3339 format.
date_modified:maxdatetimeOptional
Filter for projects modified before this date. RFC 3339 format.

Response

The request completed successfully.
datalist of objects
metaobject

Meta information including cursor-based pagination.